%global nodejs_sitelib /usr/lib/node_modules

Summary:       A Kibana Visualization plugin to add OpenShift specific requirements
Name:          origin-kibana
Version:       0.4
Release:       3%{?dist}
License:       ASL 2.0
URL:           https://github.com/openshift/origin-kibana
Source0:       https://github.com/openshift/origin-kibana/archive/v%{version}.tar.gz
Source1:       logo-enterprise-thin.svg
BuildArch:     noarch
Requires:      nodejs-patternfly >= 2.2.0

%description
This repo provide a plugin to the Kibana Visualization tool 
to add OpenShift specific requirements. 
The main features added by this plugin are:

 * Origin skinning

Currently compatible with the 4.1.x code stream of Kibana

%prep
%setup -q -n %{name}-%{version}

%build

%install
mkdir -p %{buildroot}%{_datadir}/%{name}
rm -f lib/styles/{fonts,fa-fonts}
ln -s %{nodejs_sitelib}/patternfly/dist/fonts lib/styles/fonts
ln -s %{nodejs_sitelib}/patternfly/components/font-awesome/fonts lib/styles/fa-fonts
cp -pr lib bower.json Gruntfile.js package.json %{buildroot}%{_datadir}/%{name}
cp -p %{SOURCE1} %{buildroot}%{_datadir}/%{name}/lib/images/logo-origin-thin.svg


%files
%doc LICENSE README.md
%{_datadir}/%{name}

%changelog
* Tue Nov 10 2015 Troy Dawson <tdawson@redhat.com> - 0.4-3
- Fixup spec file

* Mon Nov 09 2015 Troy Dawson <tdawson@redhat.com> - 0.4-2
- Use the enterprise logo (#1278704)

* Wed Nov 04 2015 Troy Dawson <tdawson@redhat.com> - 0.4-1
- Update to 0.4
- rpm version changed to match upstream release numbering

* Wed Nov 04 2015 Troy Dawson <tdawson@redhat.com> - 0.0.3-1
- Update to 0.0.3

* Wed Nov 04 2015 Troy Dawson <tdawson@redhat.com> - 0.0.2-1
- Update to 0.0.2

* Wed Sep 16 2015 Troy Dawson <tdawson@redhat.com> - 0.0.1-1
- Initial package (created from openshift-kibana)
